# framework::get-frameworks

Gets a comma-separated list of frameworks filtered by the specified FrameworkTypes.

### Usage

`string framework::get-frameworks(types)`

### Parameters

Name | Type | Description
--- | --- | ---
types | FrameworkTypes | A bitwise combination of FrameworkTypes values that filter the frameworks to retrieve.

### Return Value

A comma-separated list of frameworks filtered by the specified FrameworkTypes, sorted on name.

### Examples

- Define a build-all target that executes the build target once for each installed framework targeting compact devices.

      <target name="build-all">
          <foreach item="String" in="${framework::get-frameworks('installed compact')}" delim="," property="framework">
              <property name="nant.settings.currentframework" value="${framework}" />
              <call target="build" />
          </foreach>
      </target>

      <target name="build">
          ...
      </target>

### Requirements

Assembly: NAnt.Core (0.90.3780.0)